# gdcm::BasicOffsetTable Class Reference

Class to represent a BasicOffsetTable. More...

`#include <gdcmBasicOffsetTable.h>`

Inheritance diagram for gdcm::BasicOffsetTable:
[legend]
Collaboration diagram for gdcm::BasicOffsetTable:
[legend]

List of all members.

## Public Member Functions
| BasicOffsetTable ()
template<typename TSwap >
std::istream & | Read (std::istream &is)
## Friends
std::ostream & | operator<< (std::ostream &os, const BasicOffsetTable &val)

## Detailed Description

Class to represent a BasicOffsetTable.

## Constructor & Destructor Documentation

gdcm::BasicOffsetTable::BasicOffsetTable | ( |  | ) | `[inline]`

## Member Function Documentation

template<typename TSwap >

std::istream& gdcm::BasicOffsetTable::Read | ( | std::istream & | is | ) | `[inline]`

Reimplemented from gdcm::Fragment.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const BasicOffsetTable & | val |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmBasicOffsetTable.h